.. AUTO-GENERATED FILE. DO NOT EDIT. store-inventory-ledger-get-many =============================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-24`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-inventory-ledger-get-many`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-inventory-ledger-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-24`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-24 API Name: jef-store Action: get Method: GET Resource Path: /store-inventory-ledger-get-many Table: - table: jef-store-inventory-ledger - operation: get-many Payload Schema: - gsi_1_pk: product_number Payload Example: - gsi_1_pk: PRO-1001-0001 Response Schema: - exists: boolean - message: string - items: [{"inventory_ledger_id":"string","entity_number":"string","product_number":"string","sku":"string","movement_type":"string","source_type":"string","source_number":"string","quantity_before":"number","quantity_delta":"number","quantity_after":"number","note":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "product_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"inventory_ledger_id\":\"string\",\"entity_number\":\"string\",\"product_number\":\"string\",\"sku\":\"string\",\"movement_type\":\"string\",\"source_type\":\"string\",\"source_number\":\"string\",\"quantity_before\":\"number\",\"quantity_delta\":\"number\",\"quantity_after\":\"number\",\"note\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-inventory-ledger-get-many?gsi_1_pk=PRO-1001-0001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-inventory-ledger-get-many?gsi_1_pk=PRO-1001-0001"